Bug 7940 - Apply patch that adds type and name information for variables in tags
: Apply patch that adds type and name information for variables in tags
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ctags)
: unstable
: all Linux
: P5 enhancement
Assigned To:
:
: ftp://ftp.vim.org/pub/vim/unstable/pa...
:
:
:
  Show dependency tree
 
Reported: 2005-09-12 21:25 by
Modified: 2005-09-22 23:09 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-09-12 21:25:42
Date: Sat, 10 Sep 2005 14:46:00 +0200
From: Bram Moolenaar <Bram at moolenaar.net>
To: vim-dev at vim.org
Subject: Occult completion


Filetype-specific remarks for occult completion     *compl-occult-filetypes*

C                                                       *ft-c-occult*

Completion requires a tags file.  You should use Exuberant ctags, because it
adds extra information that is needed for completion.  You can find it here:
http://ctags.sourceforge.net/
For version 5.5.4 you need to add a patch that adds the "typename:" field:
ftp://ftp.vim.org/pub/vim/unstable/patches/ctags-5.5.4.patch
------- Comment #1 From 2005-09-22 23:08:36 -------
Багу мне.
------- Comment #2 From 2005-09-22 23:09:12 -------
Fixed in alt1.1